Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class MatteBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory
              groovy.swing.factory.MatteBorderFactory

    class MatteBorderFactory
    extends SwingBorderFactory

matteBorder requires essentially two parameter, a mat definition and a border size definition. The value argument can accept either of these: any of a java.awt.Color, a javax.swing.Icon, an integer, or a 4 arg integer array. The remaining parameter must be define via attributes, either an icon: or color: attribute and a size: or top:, left:, bottom:, and right: attribute.

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class SwingBorderFactory
isLeaf, onHandleNodeAttributes, setParent

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2010 The Codehaus. All rights reserved.